Bug 130252 - net-snmp-devel should depend on elfutils-libelf-devel
net-snmp-devel should depend on elfutils-libelf-devel
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: net-snmp (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
:
Depends On:
Blocks: 156320
  Show dependency treegraph
 
Reported: 2004-08-18 10:55 EDT by Samuel Stringham
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2005-373
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 10:25:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Samuel Stringham 2004-08-18 10:55:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040114 Epiphany/1.0.7

Description of problem:
net-snmp-devel depends on elfutils-libelf-devel.  If net-snmp-devel is
installed, and elfutils-libelf-devel is not, then any program relying
on 'net-snmp-config --external-libs' to produce a valid linker path
will break.

I found this while compiling php with the snmp portion enabled. 
Instead of putting a buildrequires in the new PHP RPM, I suggest we
make net-snmp-devel depend on elfutils-libelf-devel.


# rpm -ql net-snmp-devel | grep bin | grep config
/usr/bin/net-snmp-config

# /usr/bin/net-snmp-config --external-libs
-lcrypto -lelf -lm

# ld -lcrypto -lelf -lm
ld: cannot find -lelf

# rpm -qa | egrep 'elfutils|snmp'
elfutils-devel-0.94-1
net-snmp-devel-5.0.9-2.30E.3
elfutils-0.94-1
net-snmp-5.0.9-2.30E.3
elfutils-libelf-0.94-1

If this is not enough information, or a better resolution is in order,
please feel free to contact me at the email address provided.



Version-Release number of selected component (if applicable):
net-snmp-devel-5.0.9-2.30E.3

How reproducible:
Always

Steps to Reproduce:
This is on our default kickstart, and can be reproduced by removing
all the packages, and running 'up2date -u net-snmp-devel' and letting
up2date resolve the dependencies.
Comment 1 Radek Vokal 2004-09-08 04:18:01 EDT
Will be fixed in new rawhide net-snmp-5.1.2-4
Comment 2 Samuel Stringham 2004-12-25 14:23:03 EST
This bug was not fixed in the recent update set.  Will it be fixed in
the ES3 line of servers?

I only ask because if it isn't, I will have to set a specific
BuildRequires in each of the SRPMs we use here.

The bug is still present in:

# rpm -qa | egrep 'elfutils|snmp'
elfutils-0.94-1
net-snmp-5.0.9-2.30E.12
elfutils-libelf-0.94-1
elfutils-devel-0.94-1
net-snmp-libs-5.0.9-2.30E.12
net-snmp-devel-5.0.9-2.30E.12
Comment 3 Radek Vokal 2004-12-27 03:13:03 EST
I will propably push it to RHEL-3 with some more serious bug fix. I'll
post the version in this thread. 
Comment 5 Radek Vokal 2004-12-27 07:52:13 EST
Ok, latests news, net-snmp-5.0.9-2.30E.14 fixes this bug .. 
Comment 8 Red Hat Bugzilla 2005-09-28 10:25:08 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-373.html

Note You need to log in before you can comment on or make changes to this bug.